import { Component, h, Host, Prop } from '@stencil/core';
export class DevingenLoginPage {
  render() {
    // TODO handle redirect param
    const r = '/'; // const { r = '/' } = this.history.location.query;
    return (h(Host, { class: "container-fluid" },
      h("div", { class: "row" },
        h("div", { class: "col d-flex justify-content-center mt-3" },
          h("dvn-card", null,
            h("kimlik-login-form", { api: this.apiKimlik, redirect: r }))))));
  }
  static get is() { return "devingen-login-page"; }
  static get properties() { return {
    "apiKimlik": {
      "type": "unknown",
      "mutable": false,
      "complexType": {
        "original": "KimlikApi",
        "resolved": "KimlikApi",
        "references": {
          "KimlikApi": {
            "location": "import",
            "path": "@dvn/kimlik/api/kimlikApi"
          }
        }
      },
      "required": false,
      "optional": false,
      "docs": {
        "tags": [],
        "text": ""
      }
    }
  }; }
}
